#include <stdio.h>
#include <stdlib.h>

int even(int *a, size_t sizeA){
    int result = 0;
    int temp;
    for(int i = 0; i < sizeA; i++){
            temp = a[i];
        for(int j = i+1; j <= sizeA; j++){
            temp = a[i];
            for(int m = i+1; m < j; m++){
                temp *= a[m];
            }
            if(temp%2 == 0){
                result++;
            }
        }
    }
    return result;
}

int main()
{
    int N;
    scanf("%d", &N);
    int a[N];
    for(int i = 0; i < N; i++){
        scanf("%d", &a[i]);
    }
    printf("%d", even(a, N));
    return 0;
}
